Restores the deleted B2B invoice by specified id.
Use this method if you want to re-invoice some accepted B2B invoice that might be mistakenly deleted.
The restored invoice gets a new ID at the end. There are two conditions for the invoice to be able for restoring though:
- A vendor's B2B Integration settings should be one of the following: I - Invoice; N - InvoiceAndCreditMemo, M - ManualCheck, S - ScanToInvoiceAndCreditMemo.
- All invoice items are to be linked to the DC ones.
Permissions: All users.
Path Parameters
- Type: stringFormat: uuididrequired
Query Parameters
- Type: stringFields
This parameter is used to specify a comma delimited list of fields to return for an object. A field group can also be specified in the following format: 'fieldGroupName'. All fields for an object can be returned by specifying 'All'
'Default' group is always shown, even if Fields parameter is not specified. 'Lookup' group will be shown if a model is a child of required.
- Type: stringapi
-version
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Responses
curl /PurchaseManagement/Invoices/C895A81E-0C20-42C0-B2DC-EAF43F9447BD/Reinvoice \
--request POST \
--header 'DCKey: YOUR_SECRET_TOKEN'
{ "Data": { "ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD", "Status": { "ID": null, "Description": null }, "StoreVendor": { "ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD", "Description": null,